Upload an external payment receipt
curl --request POST \
--url https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base64": "<string>",
"fileName": "<string>"
}
'import requests
url = "https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt"
payload = {
"base64": "<string>",
"fileName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({base64: '<string>', fileName: '<string>'})
};
fetch('https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiptFileName": "<string>"
}
}{
"error": {
"message": "amount: amount must be positive"
}
}{
"error": {
"message": "Invalid api key"
}
}{
"error": {
"message": "Payment intent not found"
}
}Upload an external payment receipt
Uploads a receipt file (base64-encoded) for an external payment.
POST
/
external-payments
/
{external_payment_id}
/
receipt
Upload an external payment receipt
Authorizations
Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.
Path Parameters
The ID of the external payment.
Body
application/json
Response
The receipt was uploaded.
Show child attributes
Show child attributes
Was this page helpful?
⌘I